The BOOST_PP_LIST_TO_ARRAY_D macro converts a list to an array. It reenters BOOST_PP_WHILE with maximum efficiency.

#### Usage

BOOST_PP_LIST_TO_ARRAY_D(d, list)

#### Arguments

d
  The next available BOOST_PP_WHILE iteration.
list
  The list to be converted.

#### Remarks

If the list to be converted is empty, as represented by 'BOOST_PP_NIL', the resulting array is empty, as represented by '( 0, () )'.

#### See Also

- BOOST_PP_LIST_TO_ARRAY

#### Requirements

Header: <boost/preprocessor/list/to_array.hpp>

© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)